<a mat-list-item class="custom-list-item-content" (click)="onNavigate()" [ngClass]="{'selected': isSelected}">
  <div class="sidenav-node" (dblclick)="onExpand()"
  [ngStyle]="{'padding-left': node.depth != 0  && node.children.length == 0 ? (node.depth * 1.5) + 'rem' : ((node.depth - 1) * 1.5) + 'rem'}">
    <button (click)="onExpand()" *ngIf="node.children.length !== 0 && node.type !== NodeType.USER">
      <mat-icon [@indicatorRotate]="node.expanded ? 'expanded': 'collapsed'">
        expand_more
      </mat-icon>
    </button>
    <div class="icon-wrapper">
      <mat-icon>{{node.icon}}</mat-icon>
    </div>
    <span class="node-display-name">{{node.displayName}}</span>
  </div>
</a>
